package cn.ibizlab.humanresource.core.humanresource.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.humanresource.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.humanresource.core.humanresource.domain.HRContract;
/**
 * 关系型数据实体[HRContract] 查询条件对象
 */
@Slf4j
@Data
public class HRContractSearchContext extends QueryWrapperContext<HRContract> {

	private String n_hrcontractname_like;//[合同信息名称]
	public void setN_hrcontractname_like(String n_hrcontractname_like) {
        this.n_hrcontractname_like = n_hrcontractname_like;
        if(!ObjectUtils.isEmpty(this.n_hrcontractname_like)){
            this.getSearchCond().like("hrcontractname", n_hrcontractname_like);
        }
    }
	private String n_hremployeeid_eq;//[员工标识]
	public void setN_hremployeeid_eq(String n_hremployeeid_eq) {
        this.n_hremployeeid_eq = n_hremployeeid_eq;
        if(!ObjectUtils.isEmpty(this.n_hremployeeid_eq)){
            this.getSearchCond().eq("hremployeeid", n_hremployeeid_eq);
        }
    }
	private String n_hremployeename_eq;//[员工姓名]
	public void setN_hremployeename_eq(String n_hremployeename_eq) {
        this.n_hremployeename_eq = n_hremployeename_eq;
        if(!ObjectUtils.isEmpty(this.n_hremployeename_eq)){
            this.getSearchCond().eq("hremployeename", n_hremployeename_eq);
        }
    }
	private String n_hremployeename_like;//[员工姓名]
	public void setN_hremployeename_like(String n_hremployeename_like) {
        this.n_hremployeename_like = n_hremployeename_like;
        if(!ObjectUtils.isEmpty(this.n_hremployeename_like)){
            this.getSearchCond().like("hremployeename", n_hremployeename_like);
        }
    }
	private String n_contractmode_eq;//[合同类别]
	public void setN_contractmode_eq(String n_contractmode_eq) {
        this.n_contractmode_eq = n_contractmode_eq;
        if(!ObjectUtils.isEmpty(this.n_contractmode_eq)){
            this.getSearchCond().eq("contractmode", n_contractmode_eq);
        }
    }
	private String n_contracttype_eq;//[合同类型]
	public void setN_contracttype_eq(String n_contracttype_eq) {
        this.n_contracttype_eq = n_contracttype_eq;
        if(!ObjectUtils.isEmpty(this.n_contracttype_eq)){
            this.getSearchCond().eq("contracttype", n_contracttype_eq);
        }
    }
	private String n_contractstate_eq;//[合同状态]
	public void setN_contractstate_eq(String n_contractstate_eq) {
        this.n_contractstate_eq = n_contractstate_eq;
        if(!ObjectUtils.isEmpty(this.n_contractstate_eq)){
            this.getSearchCond().eq("contractstate", n_contractstate_eq);
        }
    }
	private String n_mgrorganizationid_eq;//[合同管理单位ID]
	public void setN_mgrorganizationid_eq(String n_mgrorganizationid_eq) {
        this.n_mgrorganizationid_eq = n_mgrorganizationid_eq;
        if(!ObjectUtils.isEmpty(this.n_mgrorganizationid_eq)){
            this.getSearchCond().eq("mgrorganizationid", n_mgrorganizationid_eq);
        }
    }
	private String n_mgrorganizationname_eq;//[合同管理单位]
	public void setN_mgrorganizationname_eq(String n_mgrorganizationname_eq) {
        this.n_mgrorganizationname_eq = n_mgrorganizationname_eq;
        if(!ObjectUtils.isEmpty(this.n_mgrorganizationname_eq)){
            this.getSearchCond().eq("mgrorganizationname", n_mgrorganizationname_eq);
        }
    }
	private String n_mgrorganizationname_like;//[合同管理单位]
	public void setN_mgrorganizationname_like(String n_mgrorganizationname_like) {
        this.n_mgrorganizationname_like = n_mgrorganizationname_like;
        if(!ObjectUtils.isEmpty(this.n_mgrorganizationname_like)){
            this.getSearchCond().like("mgrorganizationname", n_mgrorganizationname_like);
        }
    }
	private String n_signorganizationid_eq;//[合同签约单位ID]
	public void setN_signorganizationid_eq(String n_signorganizationid_eq) {
        this.n_signorganizationid_eq = n_signorganizationid_eq;
        if(!ObjectUtils.isEmpty(this.n_signorganizationid_eq)){
            this.getSearchCond().eq("signorganizationid", n_signorganizationid_eq);
        }
    }
	private String n_signorganizationname_eq;//[合同签约单位]
	public void setN_signorganizationname_eq(String n_signorganizationname_eq) {
        this.n_signorganizationname_eq = n_signorganizationname_eq;
        if(!ObjectUtils.isEmpty(this.n_signorganizationname_eq)){
            this.getSearchCond().eq("signorganizationname", n_signorganizationname_eq);
        }
    }
	private String n_signorganizationname_like;//[合同签约单位]
	public void setN_signorganizationname_like(String n_signorganizationname_like) {
        this.n_signorganizationname_like = n_signorganizationname_like;
        if(!ObjectUtils.isEmpty(this.n_signorganizationname_like)){
            this.getSearchCond().like("signorganizationname", n_signorganizationname_like);
        }
    }
	private String n_contractsigntype_eq;//[签订类型]
	public void setN_contractsigntype_eq(String n_contractsigntype_eq) {
        this.n_contractsigntype_eq = n_contractsigntype_eq;
        if(!ObjectUtils.isEmpty(this.n_contractsigntype_eq)){
            this.getSearchCond().eq("contractsigntype", n_contractsigntype_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("hremployeename", query)   
                        .or().like("contractcode", query)            
                        .or().like("employeecode", query)            
            );
		 }
	}
}



